net.sourceforge.pmd.renderers

## Class ColumnDescriptor<T>

- java.lang.Object
- - net.sourceforge.pmd.renderers.ColumnDescriptor<T>

Type Parameters:
  `T` -

    public class ColumnDescriptor<T>
    extends Object

Author:
  Brian Remedios

### Nested Class Summary

Nested Classes
`static interface` `ColumnDescriptor.Accessor<T>`

### Field Summary

Fields
`ColumnDescriptor.Accessor<T>` `accessor`
`String` `id`
`String` `title`

### Constructor Summary

Constructors
Constructor and Description
`ColumnDescriptor(String theId, String theTitle, ColumnDescriptor.Accessor<T> theAccessor)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    public final String id

#### title

    public final String title

#### accessor

    public final ColumnDescriptor.Accessor<T> accessor

### Constructor Detail

#### ColumnDescriptor

    public ColumnDescriptor(String theId,
                    String theTitle,
                    ColumnDescriptor.Accessor<T> theAccessor)